POST /v1/messaging/campaigns
Service: messaging · operationId: (none)
Required scopes
(no scope declared — review service config)
Request body
{
"type": "object",
"properties": {
"brand_id": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string",
"minLength": 1
},
"description": {
"type": "string"
},
"segment_id": {
"type": "string"
}
},
"required": [
"brand_id",
"name",
"segment_id"
]
}Responses
201 Created
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": [
"string",
"null"
]
},
"segment_id": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"scheduled",
"sending",
"sent",
"cancelled"
]
},
"scheduled_at": {
"type": [
"string",
"null"
]
},
"published_at": {
"type": [
"string",
"null"
]
},
"sent_at": {
"type": [
"string",
"null"
]
},
"cancelled_at": {
"type": [
"string",
"null"
]
},
"created_by": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
}
},
"required": [
"id",
"brand_id",
"name",
"description",
"segment_id",
"status",
"scheduled_at",
"published_at",
"sent_at",
"cancelled_at",
"created_by",
"created_at",
"updated_at"
]
}400 Validation
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"error",
"message"
]
}500 Server error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://messaging.platform.loop.health/v1/messaging/campaigns \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/messaging— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced